Subject: Fwd: Trying to call....
From: Deeksha Dadu <[email-masked]>
To: "Pritish Nandi (LSM)" <[email-masked]>
Date: Thu, 6 Apr 2023 18:21:44 +0000

Please have someone call the customer

Sent from my iPhone

Begin forwarded message:

From: Linda Townsend <[email-masked]>
Date: 6 April 2023 at 23:17:46 GMT+5:30
To: release <[email-masked]>, Deeksha Dadu <[email-masked]>, Saurabh Dadu <[email-masked]>, "Pritish Nandi (LSM)" <[email-masked]>
Subject: Fwd: Trying to call....

Begin forwarded message:

From: Aimee Welch <[email-masked]<mailto:[email-masked]>>
Subject: Trying to call....
Date: April 6, 2023 at 1:28:58 PM EDT
To: [email-masked]<mailto:[email-masked]>

Hi Concierge -

I keep trying to call to be added to my sister's itinerary for an appointment but am unable to reach you.  When I dial the main number and press #1 sometimes it rings twice and then just hangs up and other times I get music for a minute and then it just hangs up.

Can you call me back so i can schedule?

Aimee Welch
617-283-0341